.main {
    width: 100%;
    height: auto;
    min-height: calc(85vh - 64px);
    
    display: flex;
    align-items: center;
    justify-content: center;

    flex-direction: column;
}

.main h1 {
    font-size: var(--header);
    text-align: center;
    margin-bottom: 64px;
}

.faq {
    width: 75%;
    height: auto;
    border: 1px solid #c3c3c3;
    border-radius: 32px;
    overflow: hidden; /* to sprawi, że rogi będą wyglądały ładnie */

    margin-bottom: 64px;
}

/* każdy element faq */
.faq-item {
    width: 100%;
    border-bottom: 1px solid #c3c3c3;

    display: flex;
    justify-content: center;
    align-items: start;
    flex-direction: column;

    transition: background 0.3s ease;
}

/* pierwszy item — zaokrąglony top */
.faq-item:first-child .faq-question {
    border-radius: 32px 32px 0 0;
}

/* ostatni item — brak dolnej kreski + zaokrąglone rogi */
.faq-item:last-child {
    border-bottom: none;
}

.faq-item:last-child .faq-question {
    border-radius: 0 0 32px 32px;
}

.faq-item.active:last-child .faq-question {
    border-radius: 0px;
}

/* pytania */
.faq-question {
    padding: 32px;
    font-size: var(--button);
    cursor: pointer;
    width: calc(100% - 64px);
    transition: all 0.3s ease;
}

.faq-question:hover {
    background: #c3c3c3;
}

/* odpowiedzi */
.faq-answer {
    display: none;
    border-top: 1px solid #c3c3c3;
    width: 100%;
}

.faq-item.active .faq-answer {
    display: block;
}

.faq-answer p {
    padding: 32px 32px 32px 64px;
    font-size: var(--button);
    color: #6a6a6a;
}
